__gnu_pbds::detail::mask_based_range_hashing< Size_Type > Class Template Reference

`#include <mask_based_range_hashing.hpp>`

Inheritance diagram for __gnu_pbds::detail::mask_based_range_hashing< Size_Type >:
[legend]

## Protected Types

typedef Size_Type | size_type

## Protected Member Functions

void | notify_resized (size_type size)
size_type | range_hash (size_type hash) const
void | swap (mask_based_range_hashing &other)

## Detailed Description

template<typename Size_Type>
class __gnu_pbds::detail::mask_based_range_hashing< Size_Type >

Range hashing policy.

Definition at line 50 of file mask_based_range_hashing.hpp.

## Member Typedef Documentation

## size_type

template<typename Size_Type >

typedef Size_Type __gnu_pbds::detail::mask_based_range_hashing< Size_Type >::size_type

protected

Definition at line 53 of file mask_based_range_hashing.hpp.

## Member Function Documentation

## notify_resized()

template<typename Size_Type >

void __gnu_pbds::detail::mask_based_range_hashing< Size_Type >::notify_resized | ( | size_type | size | ) |

protected

Definition at line 83 of file mask_based_range_hashing.hpp.

## range_hash()

template<typename Size_Type >

size_type __gnu_pbds::detail::mask_based_range_hashing< Size_Type >::range_hash | ( | size_type | hash | ) | const

inline protected

Definition at line 63 of file mask_based_range_hashing.hpp.

## swap()

template<typename Size_Type >

void __gnu_pbds::detail::mask_based_range_hashing< Size_Type >::swap | ( | mask_based_range_hashing< Size_Type > & | other | ) |

inline protected

Definition at line 56 of file mask_based_range_hashing.hpp.

The documentation for this class was generated from the following file:

- mask_based_range_hashing.hpp